
Redmine - Defect #20501

Empty divs when there are no custom fields on the issue form

2015-08-09 14:48 - Amol HATWAR

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed Affected version: 3.1.0

Description

The DOM is getting polluted with unnecessary ``splitcontent`` divs for ``custom_field_values`` even when there are absolutely none

defined. This limits theming splitcontent divs as it renders empty boxes...

Patch to get rid of the free extra divs is attached.

Associated revisions

Revision 14512 - 2015-08-18 09:05 - Jean-Philippe Lang

Don't render empty divs when there are no custom fields on the issue form (#20501).

History

#1 - 2015-08-18 09:06 - Jean-Philippe Lang

- Subject changed from DOM pollution in new issues form to Empty divs when there are no custom fields on the issue form

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Priority changed from High to Normal

- Target version set to 3.2.0

- Resolution set to Fixed

Fixed in r14512 with a slightly different change, thanks for pointing this out.

Files

fix_new_issue_view_custom_field_values_form.patch 981 Bytes 2015-08-09 Amol HATWAR
